14.7.1 Installation

Because it relies on features specific to the IBM i operating system running on IBM Power systems, the IBMDB2I storage engine is only available on builds of MySQL specifically created for the IBM i operating system.

IBM i 5.4 or later is required to run IBMDB2I. Some features may require IBM i 6.1 or later versions. As well, a set of program temporary fixes (PTFs) must be installed. Information about the specific PTF numbers can be obtained from http://www-912.ibm.com/n_dir/nas4apar.nsf/c79815e083182fec862564c00079d117/67d12878076e4827862574e2003c6d4a?OpenDocument.

The engine is built as a dynamic plugin and so must be installed by using the following command:

mysql> INSTALL PLUGIN ibmdb2i SONAME ha_ibmdb2i.so;